JavaEar 专注于收集分享传播有价值的技术资料

Error: Could not symlink bin/dvipdf when installing Octave

I am trying to install Octave on Mac OS Mavericks with Brew. I ran

brew install octave --without-docs

which almost instantly gave me

Error: You must `brew link ghostscript' before octave can be installed

I did it, and it gave me the following:

Error: Could not symlink bin/dvipdf
Target /usr/local/bin/dvipdf
already exists. You may want to remove it:
  rm /usr/local/bin/dvipdf

To force the link and overwrite all conflicting files:
  brew link --overwrite ghostscript

To list all files that would be deleted:
  brew link --overwrite --dry-run ghostscript

I ran the last, which showed me a bunch of files I have never seen before. What shall I do? Erase them with brew link --overwrite ghostscript, or do something else?

Thanks

1个回答

    最佳答案
  1. This work for me

    1.you should delete ghostscript in /usr/local/share

    2.brew doctor,it will prompt you with some options

    3.brew link --overwrite ghostscript

    4.you can brew install octave